> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Tổng hợp giao dịch chứng khoán

> Lấy thông tin tổng hợp giao dịch của một mã chứng khoán hoặc chỉ số theo từng ngày giao dịch. Chỉ truyền một trong hai tham số là Symbol hoặc Index.



## OpenAPI

````yaml /vi/openapi/ssi.2026-08-21.openapi.yaml get /api/v3/data/securitiesSummary
openapi: 3.1.2
info:
  title: SSI FastConnect Open API
  version: 3.0.0
servers:
  - url: https://api.ssi.com.vn
    description: Production
security:
  - SsiBearerAuth: []
tags:
  - name: authentication
    description: Xác thực và quản lý token.
    x-group: Xác thực
  - name: account
    description: Thông tin tài khoản giao dịch.
    x-group: Tài khoản
  - name: market-data
    description: Dữ liệu thị trường.
    x-group: Dữ liệu thị trường
  - name: trading
    description: Giao dịch và quản lý lệnh.
    x-group: Giao dịch
  - name: conditional-orders
    description: Lệnh điều kiện.
    x-group: Lệnh điều kiện
paths:
  /api/v3/data/securitiesSummary:
    get:
      tags:
        - market-data
      summary: Tổng hợp giao dịch chứng khoán
      description: >-
        Lấy thông tin tổng hợp giao dịch của một mã chứng khoán hoặc chỉ số theo
        từng ngày giao dịch. Chỉ truyền một trong hai tham số là Symbol hoặc
        Index.
      operationId: getSecuritiesSummary
      parameters:
        - name: symbol
          in: query
          description: Mã chứng khoán. Chỉ truyền một trong hai tham số symbol hoặc index.
          required: false
          schema:
            type: string
        - name: index
          in: query
          description: >-
            Mã chỉ số cần lấy thông tin tổng hợp giao dịch (ví dụ VNINDEX, VN30,
            VN100 etc...)
          required: false
          schema:
            type: string
        - name: from
          in: query
          description: Ngày bắt đầu theo định dạng `YYYY/MM/DD`.
          required: true
          schema:
            type: string
        - name: to
          in: query
          description: >-
            Ngày kết thúc theo định dạng `YYYY/MM/DD`. Bắt buộc phải lớn hơn
            hoặc bằng `from`.
          required: true
          schema:
            type: string
        - name: pageIndex
          in: query
          description: >-
            Chỉ số trang khi phân trang kết quả, bắt đầu từ 1. Nếu không cung
            cấp thì hệ thống sẽ sử dụng giá trị mặc định là 1.
          required: false
          schema:
            type: integer
        - name: pageSize
          in: query
          description: >-
            Số lượng bản ghi trên mỗi trang. Nếu không cung cấp thì hệ thống sẽ
            sử dụng giá trị mặc định là 10.
          required: false
          schema:
            type: integer
        - $ref: '#/components/parameters/ContentType'
        - $ref: '#/components/parameters/UserAgent'
        - $ref: '#/components/parameters/AcceptLanguage'
      responses:
        '200':
          description: Thành công.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SecuritiesSummaryResponse'
              examples:
                STOCK:
                  value:
                    code: 200
                    msg: ''
                    data:
                      - symbol: SSI
                        tradingDate: 2026/07/01
                        priceChange: '-100'
                        priceChangePercentage: '-0.51'
                        open: '19500'
                        high: '19600'
                        low: '19200'
                        close: '19400'
                        average: '19351'
                        totalMatch: '11085700'
                        totalMatchValue: '214522755000'
                        totalBuy: '0'
                        totalTradeBuy: '0'
                        totalSell: '0'
                        totalTradeSell: '0'
                        totalForeignBuy: '0'
                        totalForeignBuyValue: '0'
                        totalForeignSell: '0'
                        totalForeignSellValue: '0'
                        remainForeignRoom: '1742851660'
                        totalForeignRoom: null
                        totalDeal: '5856800'
                        totalDealValue: '119012649600'
                        openInterest: null
                        settlementPrice: null
                    pageSize: 10
                    pageIndex: 1
                    pagesCount: 1
                    itemsCount: 1
                DERIVATIVE:
                  value:
                    code: 200
                    msg: ''
                    data:
                      - symbol: 41I1G8000
                        tradingDate: 2026/07/01
                        priceChange: '6.9'
                        priceChangePercentage: '0.37'
                        open: '1878'
                        high: '1883'
                        low: '1867.5'
                        close: '1880.9'
                        average: '187447444.573'
                        totalMatch: '204459'
                        totalMatchValue: '38325317070000'
                        totalBuy: '0'
                        totalTradeBuy: '0'
                        totalSell: '0'
                        totalTradeSell: '0'
                        totalForeignBuy: '0'
                        totalForeignBuyValue: '0'
                        totalForeignSell: '0'
                        totalForeignSellValue: '0'
                        remainForeignRoom: '0'
                        totalForeignRoom: null
                        totalDeal: '100'
                        totalDealValue: '17430000000'
                        openInterest: '24412'
                        settlementPrice: '1880.9'
                    pageSize: 10
                    pageIndex: 1
                    pagesCount: 1
                    itemsCount: 1
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '500':
          $ref: '#/components/responses/InternalError'
      security:
        - SsiBearerAuth: []
components:
  parameters:
    ContentType:
      name: Content-Type
      in: header
      required: true
      description: Định dạng nội dung request body. Chủ yếu là application/json.
      schema:
        type: string
        default: application/json
    UserAgent:
      name: User-Agent
      in: header
      required: false
      description: Thông tin client gửi request.
      schema:
        type: string
    AcceptLanguage:
      name: Accept-Language
      in: header
      required: false
      description: >-
        Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc
        định là en
      schema:
        type: string
        default: en
  schemas:
    SecuritiesSummaryResponse:
      type: object
      properties:
        code:
          description: Mã kết quả.
          type: integer
        msg:
          description: Thông báo kết quả.
          type: string
        pageSize:
          description: Số lượng bản ghi trên mỗi trang.
          type: integer
        pageIndex:
          description: Chỉ số trang.
          type: integer
        pagesCount:
          description: Tổng số trang.
          type: integer
        itemsCount:
          description: Tổng số bản ghi.
          type: integer
        data:
          description: Dữ liệu trả về.
          type: array
          items:
            type: object
            properties:
              symbol:
                description: Mã chứng khoán hoặc mã hợp đồng phái sinh.
                type: string
              tradingDate:
                description: Ngày giao dịch.
                type: string
              priceChange:
                description: Mức thay đổi giá.
                type: string
              priceChangePercentage:
                description: Tỷ lệ phần trăm thay đổi giá.
                type: string
              open:
                description: Giá mở cửa.
                type: string
              high:
                description: Giá cao nhất.
                type: string
              low:
                description: Giá thấp nhất.
                type: string
              close:
                description: Giá đóng cửa.
                type: string
              average:
                description: Giá giao dịch bình quân.
                type: string
              totalMatch:
                description: Tổng số lệnh khớp.
                type: string
              totalMatchValue:
                description: Tổng giá trị khớp lệnh.
                type: string
              totalBuy:
                description: Tổng khối lượng mua.
                type: string
              totalTradeBuy:
                description: Tổng giá trị mua khớp lệnh.
                type: string
              totalSell:
                description: Tổng khối lượng bán.
                type: string
              totalTradeSell:
                description: Tổng giá trị bán khớp lệnh.
                type: string
              totalForeignBuy:
                description: Tổng khối lượng mua của nhà đầu tư nước ngoài.
                type: string
              totalForeignBuyValue:
                description: Tổng giá trị mua của nhà đầu tư nước ngoài.
                type: string
              totalForeignSell:
                description: Tổng khối lượng bán của nhà đầu tư nước ngoài.
                type: string
              totalForeignSellValue:
                description: Tổng giá trị bán của nhà đầu tư nước ngoài.
                type: string
              remainForeignRoom:
                description: Room còn lại của nhà đầu tư nước ngoài.
                type: string
              totalForeignRoom:
                description: Tổng room của nhà đầu tư nước ngoài.
                type:
                  - string
                  - 'null'
              totalDeal:
                description: Tổng số giao dịch thỏa thuận.
                type: string
              totalDealValue:
                description: Tổng giá trị giao dịch thỏa thuận.
                type: string
              openInterest:
                description: Khối lượng mở.
                type:
                  - string
                  - 'null'
              settlementPrice:
                description: Giá thanh toán.
                type:
                  - string
                  - 'null'
    ErrorResponse:
      type: object
      properties:
        code:
          description: Mã kết quả hoặc mã xác thực giao dịch.
          type: string
        msg:
          description: Thông báo kết quả xử lý.
          type: string
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    Unauthorized:
      description: Chưa được xác thực hoặc token không hợp lệ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalError:
      description: Lỗi nội bộ máy chủ.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    SsiBearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Access token lấy từ endpoint /api/v3/auth/token hoặc
        /api/v3/auth/refresh.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.